Subject: Re: linux-next: driver-core tree build failure

From: Greg KH <[email-masked]>
Date: Tue, 18 Nov 2008 22:55:55 -0800

On Wed, Nov 19, 2008 at 05:51:12PM +1100, Stephen Rothwell wrote:
> Hi Greg,
> 
> On Tue, 18 Nov 2008 22:26:44 -0800 Greg KH <[email-masked]> wrote:
> >
> > Right now there is no such dependancy (USB should build and apply just
> > fine without driver core, and staging depends on neither of these from
> > what I can see.)
> 
> The real problem is that because you tell me that usb is based on
> driver-core, then if I merge the usb tree it will pull in all of
> driver-core again after I have dropped it.  So if the trees are really
> independent, you could change (or remove) the NEXT-BASE comment in the
> series files.  But that means that you do have to test them independently
> as well, so it is probably not worth the effort.

Yeah, for now, it's fine, no big deal, I can live with being dropped for
a day :)

thanks,

greg k-h